.TH PYRO5-NS "1" "May 2024" "PYRO5-NS 5.15" "Pyro name server command line launcher."
.SH NAME
\fBpyro5-ns \fP- pyro name server command line launcher.
\fB
.SH SYNOPSIS
.nf
.fam C
 \fBpyro5-ns\fP [\fB-h\fP] [\fB-n\fP \fIHOST\fP] [\fB-p\fP \fIPORT\fP] [\fB-u\fP \fIUNIXSOCKET\fP] [\fB-s\fP \fISTORAGE\fP]
              [\fB--bchost\fP \fIBCHOST\fP] [\fB--bcport\fP \fIBCPORT\fP] [\fB--nathost\fP \fINATHOST\fP]
              [\fB--natport\fP \fINATPORT\fP] [\fB-x\fP]

.fam T
.fi
.fam T
.fi
.SH DESCRIPTION
This is a simple command line to easily get a name server running.
.SH OPTIONS
.TP
.B
\fB-h\fP, \fB--help\fP
show this help message and exit
.TP
.B
\fB-n\fP \fIHOST\fP, \fB--host\fP \fIHOST\fP
hostname to bind server on
.TP
.B
\fB-p\fP \fIPORT\fP, \fB--port\fP \fIPORT\fP
port to bind server on (0=random)
\fB-u\fP \fIUNIXSOCKET\fP, \fB--unixsocket\fP \fIUNIXSOCKET\fP
Unix domain socket name to bind server on
\fB-s\fP \fISTORAGE\fP, \fB--storage\fP \fISTORAGE\fP
Storage system to use (memory, sql:file)
.TP
.B
\fB--bchost\fP \fIBCHOST\fP
hostname to bind broadcast server on (default is "")
.TP
.B
\fB--bcport\fP \fIBCPORT\fP
port to bind broadcast server on (0=random)
.TP
.B
\fB--nathost\fP \fINATHOST\fP
external hostname in case of NAT
.TP
.B
\fB--natport\fP \fINATPORT\fP
external port in case of NAT
.TP
.B
\fB-x\fP, \fB--nobc\fP
don't start a broadcast server
.SH AUTHORS
Written by Irmen de Jong <irmen@razorvine.net>
.PP
This manual page was written by Bo YU <tsu.yubo@gmail.com>
